Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.server.api.admin.cfg.logger
Interface ConfigConsoleAppender

All Superinterfaces:
  ConfigAppender, java.io.Serializable

    public interface ConfigConsoleAppender

extends ConfigAppender

The `ConfigConsoleAppender` takes charge of managing console appender specific properties.

Since:
  V8

Field Summary
`static java.lang.String` | `TARGET_ERR`
`static java.lang.String` | `TARGET_OUT` define all targets supported by the console appender.
`static java.lang.String[]` | `TARGETS`

Fields inherited from interface jet.server.api.admin.cfg.logger.ConfigAppender
`DST_CONSOLE, DST_DAILY_ROLLING_FILE, DST_FILE, DST_LF5, DST_NTLOG, DST_ROLLING_FILE, DST_SOCKET, DST_SYSLOG, DST_TELNET, LAYOUT_HTML, LAYOUT_PATTERN, LAYOUT_SIMPLE, LAYOUT_TTCC, LAYOUT_XML, LAYOUTS, THRESHOLD_ALL, THRESHOLD_DEBUG, THRESHOLD_ERROR, THRESHOLD_FATAL, THRESHOLD_INFO, THRESHOLD_OFF, THRESHOLD_WARN, THRESHOLDS`

Method Summary
`java.lang.String` | `getLayout()` get the layout of the telnet appender.
`java.lang.String` | `getPatternConversion()` get the pattern conversion of the telnet appender.
`java.lang.String` | `getTarget()` get the console appender target.
`void` | `setLayout(java.lang.String layout)` Set the layout of the telnet appender.
`void` | `setPatternConversion(java.lang.String pattern)` set the appender's pattern conversion.
`void` | `setTarget(java.lang.String target)` set the console appender's target.

Methods inherited from interface jet.server.api.admin.cfg.logger.ConfigAppender
`getName, getThreshold, isSelected, setSelected, setThreshold`

Field Detail

### TARGET_OUT

    static final java.lang.String TARGET_OUT

  define all targets supported by the console appender.

  See Also:
    Constant Field Values

### TARGET_ERR

    static final java.lang.String TARGET_ERR

See Also:
  Constant Field Values

### TARGETS

    static final java.lang.String[] TARGETS

Method Detail

### getLayout

    java.lang.String getLayout()

  get the layout of the telnet appender. note: the console appender can only support the following possible layouts:

              "Pattern"
              "HTML"
              "XML"
              "TTCC"
              "Simple"

  Returns:
    the layout value.

### setLayout

    void setLayout(java.lang.String layout)

  Set the layout of the telnet appender.

  Parameters:
    `layout,` - new layout value.

### getPatternConversion

    java.lang.String getPatternConversion()

  get the pattern conversion of the telnet appender.

  Returns:
    the pattern conversion, or null if the appender specified layout doesn't require the pattern conversion.

### setPatternConversion

    void setPatternConversion(java.lang.String pattern)

  set the appender's pattern conversion. `setLayout` should be firstly invoked before attempting to invoke this method.

  Parameters:
    `pattern,` - the pattern conversion value.

### getTarget

    java.lang.String getTarget()

  get the console appender target. note: the console appender can only support the following possible targets:

              "System.out"
              "System.err"

  Returns:
    the console target.

### setTarget

    void setTarget(java.lang.String target)

  set the console appender's target.

  Parameters:
    `target,` - the target of the console appender.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD